function batch()
%BATCH Summary of this function goes here
%   Detailed explanation goes here
img_dir=sprintf('samples\\');
saliency_dir=sprintf('saliency\\');
saliency_itti_dir=sprintf('saliency_itti\\');
map_gbvs_dir=sprintf('map_gbvs\\');
map_simpsal_dir=sprintf('map_simpsal\\');

ipath=sprintf('%s*.jpg',img_dir);
imglist=dir(ipath);

for i=1:size(imglist)
    
    name=imglist(i).name;
    fprintf('processing %s\n',name);
    img_path=sprintf('%s%s',img_dir,name);
    saliency_path=sprintf('%s%s.m',saliency_dir,name);
    saliency_itti_path=sprintf('%s%s.m',saliency_itti_dir,name);
    map_gbvs_path=sprintf('%s%s.jpg',map_gbvs_dir,name);
    map_simpsal_path=sprintf('%s%s.jpg',map_simpsal_dir,name);
    
    im = imread(img_path);
    if (size(im,1) < 10) || (size(im,2) < 10)
        continue;
    end
    if((size(im,1) < 128) || (size(im,2) < 128))
        if size(im,1) < size(im,2) 
            t=size(im,1);
        else 
            t=size(im,2);
        end
        rate=200/t;
        img=imresize(im,rate);
    else
        img=im;
    end
    map = gbvs(img);
    master_map = map.master_map_resized; % original GBVS algorithm
	map_itti = ittikochmap(img); 
    master_map_itti = map_itti.master_map_resized; % for an Itti map
    
    save(saliency_path,'map');
    save(saliency_itti_path,'map_itti');
    imwrite(master_map,map_gbvs_path,'JPEG');
    imwrite(master_map_itti,map_simpsal_path,'JPEG');

end
end

